Improvements
Start an improvement run
Start an improvement run
curl --request POST \
--url https://api.atlan.com/eval/v1/improvements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subject: '<string>'})
};
fetch('https://api.atlan.com/eval/v1/improvements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/improvements"
payload = { "subject": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"base_content_hash": "<string>",
"base_version_ordinal": 123,
"can_apply": true,
"created_at": "<string>",
"improvement_id": "<string>",
"params": {
"max_evidence": 1,
"window_days": 1
},
"requested_by": "<string>",
"status": "queued",
"subject_id": "<string>",
"subject_kind": "skill",
"updated_at": "<string>",
"changes": [
{
"base_sha256": "<string>",
"block_id": "<string>",
"diff": "<string>",
"evidence": {
"by_family": {},
"confidence_p50": 123,
"other_run_count": 1,
"run_count": 1,
"verdicts": {},
"viewer_trace_ids": [
"<string>"
],
"workspace_count": 1
},
"id": "<string>",
"kind": "hurt",
"op": {
"id": "<string>",
"op": "replace_block",
"text": "<string>"
},
"rationale": "<string>",
"base_text": "<string>"
}
],
"decision": {},
"profile": {
"intended_use": "<string>",
"kind_type": "<string>",
"out_of_scope": [
"<string>"
],
"output_type": "code_change",
"success_criteria": [
"<string>"
]
},
"progress": {
"deadline_hit": true,
"done": 1,
"total": 1
},
"readiness": {},
"run_id": "<string>",
"scorer_id": "<string>",
"scorer_version": 123,
"status_reason": "<string>",
"summary": {
"axes": {
"efficiency": {
"score": 0,
"run_count": 0
},
"compliance": {
"score": 0,
"run_count": 0
},
"verbosity": {
"score": 0,
"run_count": 0
},
"code_quality": {
"score": 0,
"run_count": 0
}
},
"blocks": [],
"by_family": {},
"criteria": [],
"excluded": {
"misattributed_count": 0,
"subject_not_found_count": 0,
"structure_only_count": 0,
"fetch_failed_count": 0
},
"judge": {
"request_count": 0,
"input_tokens": 0
},
"judged_count": 0,
"listed_count": 0,
"outcomes": {
"follow_up_run_count": 0
},
"top_findings": [],
"window_days": 0,
"workspace_count": 0
}
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "improvement_in_progress",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "invalid_field",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
Response
HTTP 201 response.
Show child attributes
Show child attributes
Available options:
queued, profiling, judging, proposing, ready, not_enough_evidence, failed, accepting, accepted, dismissed Available options:
skill, agent, harness, mcp Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Start an improvement run
curl --request POST \
--url https://api.atlan.com/eval/v1/improvements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subject: '<string>'})
};
fetch('https://api.atlan.com/eval/v1/improvements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/improvements"
payload = { "subject": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"base_content_hash": "<string>",
"base_version_ordinal": 123,
"can_apply": true,
"created_at": "<string>",
"improvement_id": "<string>",
"params": {
"max_evidence": 1,
"window_days": 1
},
"requested_by": "<string>",
"status": "queued",
"subject_id": "<string>",
"subject_kind": "skill",
"updated_at": "<string>",
"changes": [
{
"base_sha256": "<string>",
"block_id": "<string>",
"diff": "<string>",
"evidence": {
"by_family": {},
"confidence_p50": 123,
"other_run_count": 1,
"run_count": 1,
"verdicts": {},
"viewer_trace_ids": [
"<string>"
],
"workspace_count": 1
},
"id": "<string>",
"kind": "hurt",
"op": {
"id": "<string>",
"op": "replace_block",
"text": "<string>"
},
"rationale": "<string>",
"base_text": "<string>"
}
],
"decision": {},
"profile": {
"intended_use": "<string>",
"kind_type": "<string>",
"out_of_scope": [
"<string>"
],
"output_type": "code_change",
"success_criteria": [
"<string>"
]
},
"progress": {
"deadline_hit": true,
"done": 1,
"total": 1
},
"readiness": {},
"run_id": "<string>",
"scorer_id": "<string>",
"scorer_version": 123,
"status_reason": "<string>",
"summary": {
"axes": {
"efficiency": {
"score": 0,
"run_count": 0
},
"compliance": {
"score": 0,
"run_count": 0
},
"verbosity": {
"score": 0,
"run_count": 0
},
"code_quality": {
"score": 0,
"run_count": 0
}
},
"blocks": [],
"by_family": {},
"criteria": [],
"excluded": {
"misattributed_count": 0,
"subject_not_found_count": 0,
"structure_only_count": 0,
"fetch_failed_count": 0
},
"judge": {
"request_count": 0,
"input_tokens": 0
},
"judged_count": 0,
"listed_count": 0,
"outcomes": {
"follow_up_run_count": 0
},
"top_findings": [],
"window_days": 0,
"workspace_count": 0
}
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "improvement_in_progress",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "invalid_field",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}